## lwt 1.1.0

=== Makefile ===
# Lightweight thread library for Objective Caml
# http://www.ocsigen.org/lwt
# Makefile
# Copyright (C) 2008 Stphane Glondu
# Laboratoire PPS - CNRS Universit Paris Diderot
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation, with linking exception;
# either version 2.1 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

OCAMLFIND := ocamlfind
OCAMLBUILD := ocamlbuild
DESTDIR := $(shell $(OCAMLFIND) printconf destdir)/$(NAME)

NAME := lwt
VERSION := $(shell head -n 1 VERSION)

ARCHIVES_BYTE := $(patsubst %.mllib,%.cma,$(wildcard src/*.mllib))
ARCHIVES_OPT := $(ARCHIVES_BYTE:.cma=.cmxa)
TOINSTALL = $(wildcard $(ARCHIVES_BYTE) $(ARCHIVES_OPT)) \
  $(wildcard src/*.mli _build/src/*.cmi _build/src/*.cma) \
  $(wildcard _build/src/*.cmx* _build/src/*.a)

all: META byte opt doc

byte:
	$(OCAMLBUILD) $(ARCHIVES_BYTE)

opt:
	$(OCAMLBUILD) $(ARCHIVES_OPT)

doc:
	$(OCAMLBUILD) lwt.docdir/index.html

examples:
	$(MAKE) -C examples

META: VERSION META.in
	sed -e 's/@VERSION@/$(VERSION)/' META.in > META

dist:
	DARCS_REPO=$(PWD) darcs dist -d $(NAME)-$(VERSION)

install:
	mkdir -p "$(DESTDIR)"
	$(OCAMLFIND) install $(NAME) -destdir "$(DESTDIR)" META $(TOINSTALL)

uninstall:
	$(OCAMLFIND) remove $(NAME) -destdir "$(DESTDIR)"

clean:
	$(OCAMLBUILD) -clean
	-rm -Rf *~ src/*~ $(NAME)-*.tar.gz META
	$(MAKE) -C examples clean


.PHONY: all byte opt examples install uninstall clean

=== examples/Makefile ===
all: relay start_editor

OCAMLC = ocamlfind ocamlc

relay: relay.ml
	$(OCAMLC) -o relay -linkpkg -package lwt relay.ml -cclib -s

start_editor : editor.ml
	$(OCAMLC) -o start_editor -linkpkg -package lwt editor.ml -cclib -s

clean:
	-rm -f *.cmi *.cmo *~ relay start_editor

## lwt 2.1.1

=== Makefile ===
# Lightweight thread library for Objective Caml
# http://www.ocsigen.org/lwt
# Makefile
# Copyright (C) 2008 Stphane Glondu
# Laboratoire PPS - CNRS Universit Paris Diderot
#               2009 Jrmie Dimino
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation, with linking exception;
# either version 2.1 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# +------------------------------------------------------------------+
# | Configuration                                                    |
# +------------------------------------------------------------------+

# Tools
OCAMLFIND := ocamlfind
OCAMLBUILD := ocamlbuild

# Use classic-display when compiling under a terminal which does not
# support ANSI sequence:
ifeq ($(TERM),dumb)
OCAMLBUILD += -classic-display
endif

# Avoid compilation of native plugin if ocamlopt is not available
ifeq ($(shell if which ocamlopt >/dev/null; then echo yes; fi),)
OCAMLBUILD += -byte-plugin
endif

# General project parameters:
NAME := lwt
VERSION := $(shell head -n 1 VERSION)
DESTDIR := $(shell $(OCAMLFIND) printconf destdir)

# +------------------------------------------------------------------+
# | Rules                                                            |
# +------------------------------------------------------------------+

all:
	$(OCAMLBUILD) all

byte:
	$(OCAMLBUILD) byte

native:
	$(OCAMLBUILD) native

opt: native

tests:
	$(OCAMLBUILD) test_programs

doc:
	$(OCAMLBUILD) doc

examples:
	$(MAKE) -C examples

dist:
	DARCS_REPO=$(PWD) darcs dist -d $(NAME)-$(VERSION)

install:
	mkdir -p "$(DESTDIR)"
	$(OCAMLFIND) install $(NAME) -destdir "$(DESTDIR)" _build/META \
	  $(wildcard _build/src/*/*.mli) \
	  $(wildcard _build/src/*/*.cmi) \
	  $(wildcard _build/src/*/*.cmx) \
	  $(wildcard _build/src/*/*.cma) \
	  $(wildcard _build/src/*/*.cmxa) \
	  $(wildcard _build/src/*/*.so) \
	  $(wildcard _build/src/*/*.a) \
	  $(wildcard _build/src/*/stubs/*.so) \
	  $(wildcard _build/src/*/stubs/*.a) \
	  $(wildcard _build/src/*/stubs/*.dll) \
	  $(wildcard _build/src/top/private/toplevel.top) \
	  _build/syntax/pa_lwt.cmo \
	  _build/syntax/pa_log.cmo

uninstall:
	$(OCAMLFIND) remove $(NAME) -destdir "$(DESTDIR)"

reinstall: uninstall install

clean:
	$(OCAMLBUILD) -clean
	rm -Rf *~ src/*~ $(NAME)-*.tar.gz
	$(MAKE) -C examples clean


.PHONY: sanitize all byte native opt examples install uninstall clean tests

=== examples/Makefile ===
# Makefile
# --------
#
# Copyright (c) 2009, Jeremie Dimino <jeremie@dimino.org>
# All rights reserved.
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Jeremie Dimino nor the names of his
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Tools
OCAMLFIND := ocamlfind
OCAMLBUILD := ocamlbuild

# Use classic-display when compiling under a terminal which does not
# support ANSI sequence:
ifeq ($(TERM),dumb)
OCAMLBUILD += -classic-display
endif

all: best

best:
	$(OCAMLBUILD) best

byte:
	$(OCAMLBUILD) byte

native:
	$(OCAMLBUILD) native

clean:
	$(OCAMLBUILD) -clean
	rm -f *~

.PHONY: best all byte native clean

=== manual/Makefile ===
.PHONY: all clean clean-aux

all: manual.pdf

%.pdf: %.tex
	pdflatex $<
	pdflatex $<

%.html: %.tex
	hevea -fix manual.tex

clean: clean-aux
	rm -f *.pdf

clean-aux:
	rm -f *.aux *.dvi *.log *.out *.toc *.html *.htoc *.haux

=== debian/changelog ===
lwt (2.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #580322)
  * Add libfindlib-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sun, 13 Jun 2010 11:33:56 +0200

lwt (2.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - bump priority to optional
    - bump versioned build-dependency to libreact-ocaml-dev to ease
      react transition
    - bump Standards-Version to 3.8.4 (no changes)
  * Switch source package to format 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 23 Apr 2010 15:19:47 +0200

lwt (2.0.0-1) unstable; urgency=low

  * New upstream release
  * Switch packaging to dh-ocaml 0.9
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Oct 2009 23:58:46 +0200

lwt (2.0.0~rc1-1) experimental; urgency=low

  * New upstream release candidate
  * Update debian/copyright

 -- Stéphane Glondu <glondu@debian.org>  Fri, 25 Sep 2009 23:00:10 +0200

lwt (1.1.0+darcs20090806-3) experimental; urgency=low

  * Update my e-mail address, remove DMUA
  * Fix META.in so that lwt exists on bytecode architectures
    (Closes: #544316)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 30 Aug 2009 19:15:16 +0200

lwt (1.1.0+darcs20090806-2) experimental; urgency=low

  * Create a runtime package for liblwt-ocaml-dev
  * Put documentation in its own architecture-independent package
  * Split out liblwt-ocaml-dev into several binary packages to reflect
    optional dependencies: liblwt-ssl-*, liblwt-glib-*

 -- Stephane Glondu <steph@glondu.net>  Tue, 25 Aug 2009 01:51:47 +0200

lwt (1.1.0+darcs20090806-1) experimental; urgency=low

  * New upstream snapshot
    - this version comes with an important API incompatibility regarding
      Lwt.{wait,wakeup} and friends (breaks ocsigen)
  * debian/control:
    - move to section ocaml, update Standards-Version to 3.8.3
    - add (build-)dependencies to lib{react,text,lablgtk2}-ocaml-dev,
      ocaml-compiler-libs and camlp4
  * Update watch file

 -- Stephane Glondu <steph@glondu.net>  Thu, 20 Aug 2009 17:12:13 +0200

lwt (1.1.0-3) unstable; urgency=low

  * Add dependency on dh-ocaml
  * Use ocaml.mk as "rules" file, instead of "class"
  * Bump version of libssl-ocaml-dev in dependencies
  * Set priority to extra

 -- Stephane Glondu <steph@glondu.net>  Mon, 02 Mar 2009 21:30:53 +0100

lwt (1.1.0-2) unstable; urgency=low

  * Upload after erroneous removal from archive (no changes)

 -- Stephane Glondu <steph@glondu.net>  Fri, 11 Jul 2008 13:20:06 +0200

lwt (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #487997)

 -- Stephane Glondu <steph@glondu.net>  Fri, 27 Jun 2008 00:47:45 +0200

=== debian/control ===
Source: lwt
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 cdbs,
 debhelper (>= 7),
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 libfindlib-ocaml-dev,
 libssl-ocaml-dev (>= 0.4.3-3~),
 liblablgtk2-ocaml-dev (>= 2.12.0-4~),
 libreact-ocaml-dev (>= 0.9.1-1~),
 libtext-ocaml-dev (>= 0.2-3~),
 camlp4,
 ocaml-compiler-libs,
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.8.4
Section: ocaml
Homepage: http://ocsigen.org/lwt
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/lwt.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/lwt.git

Package: liblwt-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Suggests:
 liblwt-ssl-ocaml-dev,
 liblwt-glib-ocaml-dev
Breaks: ocsigen (<< 1.2.1)
Description: cooperative light-weight thread library for OCaml
 Lwt is a library of cooperative threads implemented in monadic style.
 With respect to preemptive threads, cooperative threads are not using
 a scheduler to distribute processor time between threads. Instead of
 this, each thread must tell the others that he wants to let them
 work.
 .
 This package contains all the development stuff you need to use the
 core Lwt OCaml library in your programs.

Package: liblwt-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<< 2.0.0)
Conflicts: liblwt-ocaml-dev (<< 2.0.0)
Description: cooperative light-weight thread library for OCaml (runtime)
 Lwt is a library of cooperative threads implemented in monadic style.
 With respect to preemptive threads, cooperative threads are not using
 a scheduler to distribute processor time between threads. Instead of
 this, each thread must tell the others that he wants to let them
 work.
 .
 This package contains runtime libraries for programs using core Lwt.

Package: liblwt-ssl-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.0.0)
Conflicts: liblwt-ocaml-dev (<= 2.0.0)
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Description: cooperative OpenSSL bindings for OCaml
 Lwt is a library of cooperative threads implemented in monadic style.
 With respect to preemptive threads, cooperative threads are not using
 a scheduler to distribute processor time between threads. Instead of
 this, each thread must tell the others that he wants to let them
 work.
 .
 This package contains all the development stuff you need to use Lwt
 with cooperative OpenSSL in your programs.

Package: liblwt-glib-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.0.0)
Conflicts: liblwt-ocaml-dev (<= 2.0.0)
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Description: cooperative GLib bindings for OCaml
 Lwt is a library of cooperative threads implemented in monadic style.
 With respect to preemptive threads, cooperative threads are not using
 a scheduler to distribute processor time between threads. Instead of
 this, each thread must tell the others that he wants to let them
 work.
 .
 This package contains all the development stuff you need to use Lwt
 with cooperative GLib in your programs.

Package: liblwt-glib-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.0.0)
Conflicts: liblwt-ocaml-dev (<= 2.0.0)
Description: cooperative GLib bindings for OCaml (runtime)
 Lwt is a library of cooperative threads implemented in monadic style.
 With respect to preemptive threads, cooperative threads are not using
 a scheduler to distribute processor time between threads. Instead of
 this, each thread must tell the others that he wants to let them
 work.
 .
 This package contains runtime libraries for programs using Lwt with
 cooperative GLib in your programs.

Package: liblwt-ocaml-doc
Section: doc
Architecture: all
Enhances:
 liblwt-ocaml-dev,
 liblwt-ssl-ocaml-dev,
 liblwt-glib-ocaml-dev
Depends: ${misc:Depends}
Replaces: liblwt-ocaml-dev (<= 2.0.0)
Conflicts: liblwt-ocaml-dev (<= 2.0.0)
Description: cooperative light-weight thread library (documentation)
 Lwt is a library of cooperative threads implemented in monadic style.
 With respect to preemptive threads, cooperative threads are not using
 a scheduler to distribute processor time between threads. Instead of
 this, each thread must tell the others that he wants to let them
 work.
 .
 This package contains the complete API reference for Lwt, including
 OpenSSL, GLib bindings and examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# debian/rules for lwt.
#
# Copyright © 2008 Stéphane Glondu
#

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/ocaml.mk

DESTDIR := $(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)

DEB_INSTALL_DIRS_ALL = -pliblwt-ocaml -Pdebian/tmp
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DESTDIR)

build/liblwt-ocaml-doc::
	$(MAKE) doc

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://ocsigen.org/lwt/install ../download/lwt-(.*)\.tar\.gz

## lwt 2.3.0

=== Makefile ===
# OASIS_START
# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all: 
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: 
	$(SETUP) -clean $(CLEANFLAGS)

distclean: 
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

-include setup.data
dist:
	DARCS_REPO=`pwd` darcs dist --dist-name $(pkg_name)-$(pkg_version)

.PHONY: dist

=== manual/Makefile ===
# Makefile
# --------
# Copyright : (c) 2010, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# This file is a part of lwt.

all: manual.pdf

manual-wiki.tex: manual.wiki
	latex_of_wiki < manual.wiki > manual-wiki.tex

manual.pdf: manual.tex manual-wiki.tex
	rubber --pdf manual.tex

clean-aux:
	rm -f .latex_of_wiki_offsets *.log *.aux *.out *.toc manual-wiki.tex

clean: clean-aux
	rm -f manual.pdf

=== debian/changelog ===
lwt (2.3.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release 2.2.1
    - add dependency to libev-dev (Closes: #612768)
  * Bump Standards-Version to 3.9.1
  * Bump debhelper compatibility level to 8

  [ Nicolas Dandrimont ]
  * Update to upstream release 2.3.0
  * Install the .cmxs and .cma files in the library packages
  * Add package liblwt-ssl-ocaml (Cooperative OpenSSL bindings runtime)
  * Install META in liblwt-ocaml (Closes: #587472)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Sun, 24 Apr 2011 11:30:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: lwt
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>
+Uploaders: Stéphane Glondu <glondu@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
 Build-Depends:
- cdbs,
- debhelper (>= 7),
+ debhelper (>= 8),
  dh-ocaml (>= 0.9),
+ libev-dev,
  ocaml-findlib,
  libfindlib-ocaml-dev,
  libssl-ocaml-dev (>= 0.4.3-3~),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~),
  libreact-ocaml-dev (>= 0.9.1-1~),
- libtext-ocaml-dev (>= 0.2-3~),
+ libtext-ocaml-dev (>= 0.4),
  camlp4,
  ocaml-compiler-libs,
- ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.8.4
+ ocaml-nox (>= 3.12),
+# Needed for debian/modules.ml script
+ libpcre-ocaml-dev,
+ libfileutils-ocaml-dev
+Standards-Version: 3.9.2
 Section: ocaml
 Homepage: http://ocsigen.org/lwt
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/lwt.git
@@ -24,6 +27,7 @@
 Package: liblwt-ocaml-dev
 Architecture: any
 Depends:
+ libev-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
@@ -52,8 +56,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Replaces: liblwt-ocaml-dev (<< 2.0.0)
-Conflicts: liblwt-ocaml-dev (<< 2.0.0)
+Replaces: liblwt-ocaml-dev (<< 2.3.0)
+Breaks: liblwt-ocaml-dev (<< 2.3.0)
 Description: cooperative light-weight thread library for OCaml (runtime)
  Lwt is a library of cooperative threads implemented in monadic style.
  With respect to preemptive threads, cooperative threads are not using
@@ -70,8 +74,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Replaces: liblwt-ocaml-dev (<= 2.0.0)
-Conflicts: liblwt-ocaml-dev (<= 2.0.0)
+Replaces: liblwt-ocaml-dev (<= 2.3.0)
+Breaks: liblwt-ocaml-dev (<= 2.3.0)
 Recommends:
  liblwt-ocaml-doc,
  ocaml-findlib
@@ -85,6 +89,25 @@
  This package contains all the development stuff you need to use Lwt
  with cooperative OpenSSL in your programs.
 
+Package: liblwt-ssl-ocaml
+Architecture: any
+Depends:
+ ${ocaml:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends}
+Provides: ${ocaml:Provides}
+Replaces: liblwt-ocaml-dev (<= 2.3.0)
+Breaks: liblwt-ocaml-dev (<= 2.3.0)
+Description: cooperative OpenSSL bindings for OCaml (runtime)
+ Lwt is a library of cooperative threads implemented in monadic style.
+ With respect to preemptive threads, cooperative threads are not using
+ a scheduler to distribute processor time between threads. Instead of
+ this, each thread must tell the others that he wants to let them
+ work.
+ .
+ This package contains runtime libraries for programs using Lwt with
+ cooperative OpenSSL.
+
 Package: liblwt-glib-ocaml-dev
 Architecture: any
 Depends:
@@ -92,8 +115,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Replaces: liblwt-ocaml-dev (<= 2.0.0)
-Conflicts: liblwt-ocaml-dev (<= 2.0.0)
+Replaces: liblwt-ocaml-dev (<= 2.3.0)
+Breaks: liblwt-ocaml-dev (<= 2.3.0)
 Recommends:
  liblwt-ocaml-doc,
  ocaml-findlib
@@ -114,8 +137,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Replaces: liblwt-ocaml-dev (<= 2.0.0)
-Conflicts: liblwt-ocaml-dev (<= 2.0.0)
+Replaces: liblwt-ocaml-dev (<= 2.3.0)
+Breaks: liblwt-ocaml-dev (<= 2.3.0)
 Description: cooperative GLib bindings for OCaml (runtime)
  Lwt is a library of cooperative threads implemented in monadic style.
  With respect to preemptive threads, cooperative threads are not using
@@ -124,7 +147,7 @@
  work.
  .
  This package contains runtime libraries for programs using Lwt with
- cooperative GLib in your programs.
+ cooperative GLib.
 
 Package: liblwt-ocaml-doc
 Section: doc
@@ -134,8 +157,8 @@
  liblwt-ssl-ocaml-dev,
  liblwt-glib-ocaml-dev
 Depends: ${misc:Depends}
-Replaces: liblwt-ocaml-dev (<= 2.0.0)
-Conflicts: liblwt-ocaml-dev (<= 2.0.0)
+Replaces: liblwt-ocaml-dev (<= 2.3.0)
+Breaks: liblwt-ocaml-dev (<= 2.3.0)
 Description: cooperative light-weight thread library (documentation)
  Lwt is a library of cooperative threads implemented in monadic style.
  With respect to preemptive threads, cooperative threads are not using

## lwt 2.3.1

=== examples/Makefile ===
--- 
+++ 
@@ -28,12 +28,22 @@
 
 # Tools
 OCAMLFIND := ocamlfind
-OCAMLBUILD := ocamlbuild
+OCAMLBUILD := ocamlbuild -byte-plugin
 
 # Use classic-display when compiling under a terminal which does not
 # support ANSI sequence:
 ifeq ($(TERM),dumb)
 OCAMLBUILD += -classic-display
+endif
+
+# Generate debuging information
+ifdef DEBUG
+OCAMLBUILD += -tag debug
+endif
+
+# Generate profiling information
+ifdef PROFILE
+OCAMLBUILD += -tag profile
 endif
 
 all: best

=== debian/changelog ===
lwt (2.3.1-1build3) precise; urgency=low

  * No-change rebuild for OCaml 3.12.1.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 11 Dec 2011 14:10:25 +0400

lwt (2.3.1-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 16:58:26 +0000

lwt (2.3.1-1build1) precise; urgency=low

  * Rebuild for new libtext-ocaml-dev ABI.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Oct 2011 11:50:09 +0100

lwt (2.3.1-1) unstable; urgency=low

  * New upstream release
    - patches removed because they were applied upstream:
      Fix-FTBFS-on-hurd, Fix-link-order-in-library-detection-test
    - new patches cherry-picked from upstream:
      fix-a-race-condition-in-Lwt_io, fix-data-corruption-in-Lwt_io

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2011 22:54:23 +0200

lwt (2.3.0-3) unstable; urgency=low

  * Fix link order in library detection test (fixes FTBFS on Ubuntu)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Jul 2011 09:09:39 +0200

lwt (2.3.0-2) unstable; urgency=low

  * Fix FTBFS on Hurd due to use of PATH_MAX and HOSTNAME_MAX

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Fri, 27 May 2011 01:16:15 +0200

## lwt 2.3.2

=== manual/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	rubber --pdf manual.tex
 
 clean-aux:
-	rm -f .latex_of_wiki_offsets *.log *.aux *.out *.toc manual-wiki.tex
+	rm -f .latex_of_wiki_offsets *.log *.aux *.out *.toc
 
 clean: clean-aux
-	rm -f manual.pdf
+	rm -f manual.pdf manual-wiki.tex

=== debian/changelog ===
lwt (2.3.2-1) unstable; urgency=low

  * New upstream release
    - remove fix-a-race-condition-in-Lwt_io.patch (applied upstream)
    - remove fix-data-corruption-in-Lwt_io.patch (applied upstream)
    - add Remove-buggy-dependencies-causing-FTBFS-on-no-natdyn.patch
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Dec 2011 12:37:11 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAML_DLL_DIR
export OCAML_HAVE_OCAMLOPT
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

# Needed for running tests on bytecode architectures
export CAML_LD_LIBRARY_PATH=$(CURDIR)/_build/src/unix

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --enable-all --docdir /usr/share/doc/liblwt-ocaml-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_install
override_dh_install:
	ocaml debian/modules.ml
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## lwt 2.4.3

=== manual/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 all: manual.pdf
 
 manual-wiki.tex: manual.wiki
-	latex_of_wiki < manual.wiki > manual-wiki.tex
+	latex_of_wiki lwt-manual < manual.wiki > manual-wiki.tex.tmp
+	mv manual-wiki.tex.tmp manual-wiki.tex
 
 manual.pdf: manual.tex manual-wiki.tex
 	rubber --pdf manual.tex
@@ -17,4 +18,4 @@
 	rm -f .latex_of_wiki_offsets *.log *.aux *.out *.toc
 
 clean: clean-aux
-	rm -f manual.pdf manual-wiki.tex
+	rm -f manual.pdf manual-wiki.tex manual-wiki.tex.tmp

=== debian/changelog ===
lwt (2.4.3-4) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Dec 2013 23:30:43 +0100

lwt (2.4.3-3) experimental; urgency=low

  * debian/patches:
    + Add Unix.O_CLOEXEC flag to Lwt_unix (for OCaml >= 4.01)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Nov 2013 08:11:43 +0100

lwt (2.4.3-2) experimental; urgency=low

  * Compile with OCaml >= 4
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 22:03:43 +0200

lwt (2.4.3-1) unstable; urgency=low

  * New upstream release
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 17:28:49 +0200

lwt (2.4.2-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Dec 2012 11:15:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 8),
  dh-ocaml (>= 0.9),
  libev-dev,
- ocaml-findlib,
+ ocaml-findlib (>= 1.4),
  libfindlib-ocaml-dev,
  libssl-ocaml-dev (>= 0.4.3-3~),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~),
@@ -14,15 +14,15 @@
  libtext-ocaml-dev (>= 0.4),
  camlp4,
  ocaml-compiler-libs,
- ocaml-nox (>= 3.12),
+ ocaml-nox (>= 4),
 # Needed for debian/modules.ml script
  libpcre-ocaml-dev,
  libfileutils-ocaml-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: ocaml
 Homepage: http://ocsigen.org/lwt
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/lwt.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/lwt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/lwt.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/lwt.git
 
 Package: liblwt-ocaml-dev
 Architecture: any

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://ocsigen.org/download/lwt-(.*)\.tar\.gz

## lwt 2.5.0+1

=== Makefile ===
# Makefile
# --------
# Copyright : (c) 2012, Jérémie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# Generic Makefile for oasis project

# Set to setup.exe for the release
SETUP := setup.exe

# Default rule
default: build

# Setup for the development version
setup-dev.exe: _oasis setup.ml
	grep -v '^#' setup.ml > setup_dev.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || \
	  ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || true
	rm -f setup_dev.*

# Setup for the release
setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

doc-api: $(SETUP) setup.data build
	./$(SETUP) -build lwt-api.docdir/index.html

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)

install: $(SETUP) setup.data
	./$(SETUP) -install $(INSTALLFLAGS)

uninstall: $(SETUP) setup.data
	./$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: $(SETUP) setup.data
	./$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== manual/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile
 # --------
-# Copyright : (c) 2010, Jeremie Dimino <jeremie@dimino.org>
+# Copyright : (c) 2010, Jérémie Dimino <jeremie@dimino.org>
 # Licence   : BSD3
 #
 # This file is a part of lwt.

=== examples/gtk/Makefile ===
all:
	ocamlbuild -use-ocamlfind -classic-display -tag 'syntax(camlp4o)' -package lwt.unix,lwt.glib,lwt.syntax,lablgtk2 connect.byte

=== debian/changelog ===
lwt (2.5.0+1-1) unstable; urgency=medium

  * New upstream release
    - remove patch Add-Unix.O_CLOEXEC-flag-to-Lwt_unix (applied upstream)
    - add patch Fix-FTBFS
    - add libppx-tools-ocaml-dev to Build-Depends
    - build-depend on libssl-ocaml-dev (>= 0.5)
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 22:44:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
  libev-dev,
  ocaml-findlib (>= 1.4),
  libfindlib-ocaml-dev,
- libssl-ocaml-dev (>= 0.4.3-3~),
+ libssl-ocaml-dev (>= 0.5),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~),
  libreact-ocaml-dev (>= 0.9.1-1~),
  libtext-ocaml-dev (>= 0.4),
+ libppx-tools-ocaml-dev,
  camlp4,
  ocaml-compiler-libs,
  ocaml-nox (>= 4),

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 export OCAML_DLL_DIR
 export OCAML_HAVE_OCAMLOPT
+export OCAML_NATDYNLINK
 export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
 export OCAMLFIND_LDCONF=ignore

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://github.com/ocsigen/lwt/releases .*/(.*)\.tar\.gz

## lwt 2.5.2

=== debian/changelog ===
lwt (2.5.2-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 09:06:57 +0200

lwt (2.5.2-1) unstable; urgency=medium

  * New upstream release
  * Fix package description, thanks to Justin B Rye (Closes: #787012)
  * Update Vcs-*
  * Update debian/copyright
  * Bump debhelper compat to 9
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2016 10:40:19 +0200

=== debian/control ===
Source: lwt
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
Build-Depends:
 debhelper (>= 9),
 dh-ocaml (>= 0.9),
 libev-dev,
 ocaml-findlib (>= 1.4),
 ocamlbuild,
 libfindlib-ocaml-dev,
 libssl-ocaml-dev (>= 0.5),
 liblablgtk2-ocaml-dev (>= 2.12.0-4~),
 libreact-ocaml-dev (>= 0.9.1-1~),
 libtext-ocaml-dev (>= 0.4),
 libppx-tools-ocaml-dev,
 camlp4,
 ocaml-compiler-libs,
 ocaml-nox (>= 4),
# Needed for debian/modules.ml script
 libpcre-ocaml-dev,
 libfileutils-ocaml-dev
Standards-Version: 3.9.8
Section: ocaml
Homepage: http://ocsigen.org/lwt
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lwt.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lwt.git

Package: liblwt-ocaml-dev
Architecture: any
Depends:
 libev-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Suggests:
 liblwt-ssl-ocaml-dev,
 liblwt-glib-ocaml-dev
Breaks: ocsigen (<< 1.2.1)
Description: cooperative light-weight thread library for OCaml
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains all the development stuff you need to use the
 core Lwt OCaml library in your programs.

Package: liblwt-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<< 2.3.0)
Breaks: liblwt-ocaml-dev (<< 2.3.0)
Description: cooperative light-weight thread library for OCaml (runtime)
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains runtime libraries for programs using core Lwt.

Package: liblwt-ssl-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.3.0)
Breaks: liblwt-ocaml-dev (<= 2.3.0)
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Description: cooperative OpenSSL bindings for OCaml
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains all the development stuff you need to use Lwt
 with cooperative OpenSSL in your programs.

Package: liblwt-ssl-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.3.0)
Breaks: liblwt-ocaml-dev (<= 2.3.0)
Description: cooperative OpenSSL bindings for OCaml (runtime)
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains runtime libraries for programs using Lwt with
 cooperative OpenSSL.

Package: liblwt-glib-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.3.0)
Breaks: liblwt-ocaml-dev (<= 2.3.0)
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Description: cooperative GLib bindings for OCaml
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains all the development stuff you need to use Lwt
 with cooperative GLib in your programs.

Package: liblwt-glib-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.3.0)
Breaks: liblwt-ocaml-dev (<= 2.3.0)
Description: cooperative GLib bindings for OCaml (runtime)
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains runtime libraries for programs using Lwt with
 cooperative GLib.

Package: liblwt-ocaml-doc
Section: doc
Architecture: all
Enhances:
 liblwt-ocaml-dev,
 liblwt-ssl-ocaml-dev,
 liblwt-glib-ocaml-dev
Depends: ${misc:Depends}
Replaces: liblwt-ocaml-dev (<= 2.3.0)
Breaks: liblwt-ocaml-dev (<= 2.3.0)
Description: cooperative light-weight thread library (documentation)
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains the complete API reference for Lwt, including
 OpenSSL, GLib bindings, and examples.

## lwt 2.7.1

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,10 @@
 # Licence   : BSD3
 #
 # Generic Makefile for oasis project
+
+# Suppress duplicate topdirs.cmi warnings.
+OCAMLFIND_IGNORE_DUPS_IN = $(shell ocamlfind query compiler-libs)
+export OCAMLFIND_IGNORE_DUPS_IN
 
 # Set to setup.exe for the release
 SETUP := setup.exe
@@ -23,6 +27,8 @@
 	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
 	rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo
 
+setup: $(SETUP)
+
 build: $(SETUP) setup.data
 	./$(SETUP) -build $(BUILDFLAGS)
 
@@ -32,7 +38,7 @@
 doc-api: $(SETUP) setup.data build
 	./$(SETUP) -build lwt-api.docdir/index.html
 
-test: $(SETUP) setup.data build
+test: $(SETUP) setup.data build clean-coverage
 	./$(SETUP) -test $(TESTFLAGS)
 
 all: $(SETUP)
@@ -47,11 +53,16 @@
 reinstall: $(SETUP) setup.data
 	./$(SETUP) -reinstall $(REINSTALLFLAGS)
 
-clean: $(SETUP)
+clean: $(SETUP) clean-coverage
 	./$(SETUP) -clean $(CLEANFLAGS)
 
 distclean: $(SETUP)
 	./$(SETUP) -distclean $(DISTCLEANFLAGS)
+	rm -rf setup*.exe
+
+clean-coverage:
+	rm -rf bisect*.out
+	rm -rf _coverage/
 
 configure: $(SETUP)
 	./$(SETUP) -configure $(CONFIGUREFLAGS)
@@ -59,4 +70,9 @@
 setup.data: $(SETUP)
 	./$(SETUP) -configure $(CONFIGUREFLAGS)
 
-.PHONY: default build doc test all install uninstall reinstall clean distclean configure
+coverage: test
+	bisect-ppx-report -I _build/ -html _coverage/ bisect*.out
+	bisect-ppx-report -text - -summary-only bisect*.out
+	@echo See _coverage/index.html
+
+.PHONY: default setup build doc test all install uninstall reinstall clean distclean configure coverage

=== doc/examples/gtk/Makefile ===
all:
	ocamlbuild -use-ocamlfind -classic-display -package lwt.unix,lwt.glib,lwt.ppx,lablgtk2 connect.byte

=== debian/changelog ===
lwt (2.7.1-4build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 17:01:27 +0200

lwt (2.7.1-4) unstable; urgency=medium

  * Disable two tests that hang or fail on arm64 (Closes: #878495)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 16 Oct 2017 10:32:50 +0200

lwt (2.7.1-3) unstable; urgency=medium

  * Properly fix installation on bytecode architectures (Closes:
    #878236)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 13 Oct 2017 14:45:33 +0200

lwt (2.7.1-2) unstable; urgency=medium

  * Fix installation on bytecode architectures (Closes: #878236)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 12 Oct 2017 09:31:18 +0200

lwt (2.7.1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
    - remove patch: there is no more manual to not build
    - build-depend on libresult-ocaml-dev and cppo
    - run tests (except unix_mcast)
    - add lwt_{react,ssl,glib} findlib packages
  * Update debian/watch
  * Bump Standards-Version to 4.0.0

  [ Nicolas Dandrimont ]
  * d/control: remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Oct 2017 14:23:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: lwt
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
+Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-ocaml (>= 0.9),
  libev-dev,
  ocaml-findlib (>= 1.4),
  ocamlbuild,
+ cppo,
  libfindlib-ocaml-dev,
  libssl-ocaml-dev (>= 0.5),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~),
  libreact-ocaml-dev (>= 0.9.1-1~),
  libtext-ocaml-dev (>= 0.4),
+ libresult-ocaml-dev,
  libppx-tools-ocaml-dev,
  camlp4,
  ocaml-compiler-libs,
@@ -20,7 +22,7 @@
 # Needed for debian/modules.ml script
  libpcre-ocaml-dev,
  libfileutils-ocaml-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Section: ocaml
 Homepage: http://ocsigen.org/lwt
 Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lwt.git

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,12 @@
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
-	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --enable-all --docdir /usr/share/doc/liblwt-ocaml-dev
+	ocaml setup.ml -configure --prefix '$(DESTDIR)/usr' --destdir '$(DESTDIR)' --enable-all --enable-tests --docdir '$(DESTDIR)/usr/share/doc/liblwt-ocaml-dev'
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
+# Disable mcast tests; they use network
+	sed -i '/mcast/d' tests/unix/main.ml
 	ocaml setup.ml -build
 	ocaml setup.ml -doc
 
@@ -37,6 +39,8 @@
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	ocaml setup.ml -install
+	cp _build/src/unix/lwt_unix.mli debian/tmp/usr/lib/ocaml/lwt/
+	for u in react glib ssl; do ocamlfind install lwt_$$u src/$$u/META; done
 
 .PHONY: override_dh_install
 override_dh_install:

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://github.com/ocsigen/lwt/releases .*/archive/(.*)\.tar\.gz

## lwt 4.3.0

=== debian/changelog ===
lwt (4.3.0-2) unstable; urgency=medium

  * Comment out page_size test, which does not pass on all architectures

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Nov 2019 11:20:36 +0100

lwt (4.3.0-1) unstable; urgency=medium

  * New upstream release
    - SSL bindings have been moved to a different package, drop binary
      packages liblwt-ssl-ocaml{,-dev}
    - drop liblwt-ocaml-doc which has been empty for a while

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Nov 2019 16:34:06 +0100

lwt (2.7.1-7) unstable; urgency=medium

  * Disable glib bindings

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2019 06:16:50 +0200

lwt (2.7.1-6) unstable; urgency=medium

  * Remove camlp4 and lib{text,fileutils}-ocaml-dev from Build-Depends
    - doc is no longer built and tests are no longer run
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Aug 2019 11:37:02 +0200

lwt (2.7.1-5) unstable; urgency=high

  * Force rebuild of all packages on buildds
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 02 Aug 2019 10:06:11 +0200

=== debian/control ===
Source: lwt
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-ocaml (>= 0.9),
 libev-dev,
 ocaml-findlib (>= 1.4),
 ocaml-dune,
 opam-installer,
 libdune-ocaml-dev,
 cppo,
 libfindlib-ocaml-dev,
 libreact-ocaml-dev (>= 0.9.1-1~),
 libresult-ocaml-dev,
 libmmap-ocaml-dev,
 libppx-tools-versioned-ocaml-dev,
 libocplib-endian-ocaml-dev,
 ocaml-compiler-libs,
 ocaml-nox (>= 4.08.1-4~)
Standards-Version: 4.4.0
Section: ocaml
Homepage: http://ocsigen.org/lwt
Vcs-Browser: https://salsa.debian.org/ocaml-team/lwt
Vcs-Git: https://salsa.debian.org/ocaml-team/lwt.git

Package: liblwt-ocaml-dev
Architecture: any
Depends:
 libev-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Suggests:
 liblwt-ssl-ocaml-dev,
 liblwt-glib-ocaml-dev
Breaks: ocsigen (<< 1.2.1)
Description: cooperative light-weight thread library for OCaml
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains all the development stuff you need to use the
 core Lwt OCaml library in your programs.

Package: liblwt-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<< 2.3.0)
Breaks: liblwt-ocaml-dev (<< 2.3.0)
Description: cooperative light-weight thread library for OCaml (runtime)
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains runtime libraries for programs using core Lwt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p lwt
	opam-installer --prefix=$(CURDIR)/_tmp/usr --libdir=..$(OCAML_STDLIB_DIR) lwt.install
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p lwt_ppx
	opam-installer --prefix=$(CURDIR)/_tmp/usr --libdir=..$(OCAML_STDLIB_DIR) lwt_ppx.install
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p lwt_react
	opam-installer --prefix=$(CURDIR)/_tmp/usr --libdir=..$(OCAML_STDLIB_DIR) lwt_react.install

override_dh_auto_test:
	dune runtest -p lwt
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p lwt_ppx
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p lwt_react

override_dh_auto_install:
	rm -rf debian/tmp
	cp -a $(CURDIR)/_tmp debian/tmp
	rm -rf debian/tmp/usr/doc/lwt_ppx debian/tmp/usr/doc/lwt_react debian/tmp/usr/doc/lwt/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing
